diff -Naruw postgis-2.0.2.orig/configure.ac postgis-2.0.2/configure.ac
--- postgis-2.0.2.orig/configure.ac	2012-05-17 12:10:04.000000000 +0000
+++ postgis-2.0.2/configure.ac	2013-02-11 11:57:06.733323130 +0000
@@ -701,57 +701,14 @@
 dnl Detect if json-c installed
 dnl ===========================================================================
 
-HAVE_JSON=no
-AC_SUBST([HAVE_JSON])
-
-AC_ARG_WITH([jsondir],
-	[AS_HELP_STRING([--with-jsondir=PATH], [specify the json-c installation directory])],
-	[JSONDIR="$withval"], [JSONDIR=])
-
-if test ! "x$JSONDIR" = "x"; then
-	dnl Make sure that the directory exists
-	if test "x$JSONDIR" = "xyes"; then
-		AC_MSG_ERROR([you must specify a parameter to --with-jsondir, e.g. --with-jsondir=/path/to])
-	else
-		dnl We need (libjson.so OR libjson.a OR libjson.dll) AND json/json.h
-		if test ! -e "${JSONDIR}/include/json/json.h" -o \
-		        ! \( -e "${JSONDIR}/lib/libjson.so" -o \
-		            -e "${JSONDIR}/lib/libjson.dll" -o \
-		            -e "${JSONDIR}/lib/libjson.dylib" -o \
-		            -e "${JSONDIR}/bin/libjson.dll" -o \
-		            -e "${JSONDIR}/lib/libjson.a" \) 
-		then
-			AC_MSG_ERROR([Cannot find json dev files in "$JSONDIR"])
-		fi
-		AC_MSG_RESULT([Using user-specified json-c directory: $JSONDIR])
-
-		dnl Add the include directory to JSON_CPPFLAGS
-		JSON_CPPFLAGS="-I$JSONDIR/include"
-		JSON_LDFLAGS="-L$JSONDIR/lib -ljson"
-	fi
-fi
-
-dnl Check that we can find the json/json.h header file
-CPPFLAGS_SAVE="$CPPFLAGS"
-CPPFLAGS="$JSON_CPPFLAGS"
-AC_CHECK_HEADER([json/json.h], [HAVE_JSON=yes], [])	
-CPPFLAGS="$CPPFLAGS_SAVE"
-
-dnl Ensure we can link against libjson
-LIBS_SAVE="$LIBS"
-LIBS="$JSON_LDFLAGS"
-AC_CHECK_LIB([json], [json_object_get], [HAVE_JSON=yes], [], [])
-LIBS="$LIBS_SAVE"
-
-if test "$HAVE_JSON" = "yes"; then
+PKG_CHECK_MODULES([JSON], [json],
+                  [
+                      HAVE_JSON=yes
 	AC_DEFINE([HAVE_LIBJSON], 1, [Define to 1 if libjson is present])
-    if test "x$JSON_LDFLAGS" = "x"; then
-        JSON_LDFLAGS="-ljson"
-    fi
-fi
+                  ],
+                  [HAVE_JSON=no])
 
-AC_SUBST([JSON_CPPFLAGS])
-AC_SUBST([JSON_LDFLAGS])
+AC_SUBST([HAVE_JSON])
 
 dnl ===========================================================================
 dnl Detect GTK+2.0 for GUI
@@ -842,10 +799,10 @@
 AC_DEFINE_UNQUOTED([POSTGIS_USE_STATS], [1], [Enable use of ANALYZE statistics])
 
 
-CPPFLAGS="$PGSQL_CPPFLAGS $GEOS_CPPFLAGS $PROJ_CPPFLAGS $JSON_CPPFLAGS $XML2_CPPFLAGS"
+CPPFLAGS="$PGSQL_CPPFLAGS $GEOS_CPPFLAGS $PROJ_CPPFLAGS $JSON_CFLAGS $XML2_CPPFLAGS"
 dnl AC_MSG_RESULT([CPPFLAGS: $CPPFLAGS])
 
-SHLIB_LINK="$PGSQL_LDFLAGS $GEOS_LDFLAGS $PROJ_LDFLAGS -lgeos_c -lproj $JSON_LDFLAGS $XML2_LDFLAGS"
+SHLIB_LINK="$PGSQL_LDFLAGS $GEOS_LDFLAGS $PROJ_LDFLAGS -lgeos_c -lproj $JSON_LIBS $XML2_LDFLAGS"
 AC_SUBST([SHLIB_LINK])
 dnl AC_MSG_RESULT([SHLIB_LINK: $SHLIB_LINK])
 
diff -Naruw postgis-2.0.2.orig/postgis/lwgeom_in_geojson.c postgis-2.0.2/postgis/lwgeom_in_geojson.c
--- postgis-2.0.2.orig/postgis/lwgeom_in_geojson.c	2012-12-03 16:18:33.000000000 +0000
+++ postgis-2.0.2/postgis/lwgeom_in_geojson.c	2013-02-11 12:09:29.017167709 +0000
@@ -28,8 +28,8 @@
 #ifdef HAVE_LIBJSON
 
 #include "lwgeom_export.h"
-#include <json/json.h>
-#include <json/json_object_private.h>
+#include <json.h>
+#include <json_object_private.h>
 
 /* Prototype */
 LWGEOM* parse_geojson(json_object *geojson, bool *hasz,  int *root_srid);
@@ -556,4 +556,3 @@
 	PG_RETURN_POINTER(geom);
 #endif
 }
-
